function onBegin()
	local room = getRoom()
    room.PauseLock = true
    disableMovement()
	playSound("event:/Kataiser/nelumbo_fire_on")
	wait(0.02)
	if not getFlag("SJ_Solar_noFlash") then
		   setFlag("arroganceOpenRift", true)
		end
	setFlag("luxurySuiteEnter", true)
    end

function onEnd()
	player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Right")
    teleportTo(15264, 2173, "Luxury Suite")
    getRoom().PauseLock = false
    enableMovement()
end